package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.disable.ChFndDistrict;
import com.hungraim.ltc.pojo.vo.disable.DistrictTreeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 省市区Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface FndDistrictMapper extends BaseMapper<ChFndDistrict> {

    /**
     * 获取所有地区的树形结构数据
     *
     * @return 返回树形结构数据
     */
    List<DistrictTreeVo> getAllDistrictTreeData();

    /**
     * 根据parentCode查询节点
     *
     * @return 返回节点列表
     */
    List<DistrictTreeVo> getAreaChildByParentCode(@Param("districtCode") String districtCode, @Param("districtLevel") Integer districtLevel);

    /**
     * 根据parendtCode查询街道数据
     *
     * @return 返回节点列表
     */
    List<DistrictTreeVo> getStreetList(@Param("districtCode") String districtCode);

    /**
     * 一次性加载出所有的数据，包括街道数据
     *
     * @return 返回数据列表
     */
    List<DistrictTreeVo> getAllDistrictAndStreetData();
}
