package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hungraim.ltc.pojo.entity.assessment.ChRefuseReason;
import com.hungraim.ltc.pojo.entity.disable.ChCfgSrvDisableLevel;
import com.hungraim.ltc.pojo.vo.assessment.*;
import com.hungraim.ltc.util.Result;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 失能评定Service
 *
 * @author czz
 */
@Service
public interface TaskService {

    IPage<TaskDistributionVO> taskDistributionList(String organId, String provincial, String city,
                                                   String street, String realName, String certiCode, String taskName, String taskTel,
                                                   String daysRemaining, String status, String isReturn, String area,
                                                   int pageNum, int pageSize);

    List<TaskReportVO> taskReportList(String name, String certiCode, String tel);

    List<AprEmpVO> aprEmpList(String organName, String name, String tel, String groupLeader);

    Result<Object> addReport(Integer taskId, Integer person1, Integer person2, Integer person3, Date evaluateTime, Integer disableLevelId, String polNo, String remark);

    void updateReport(Integer reportId, Integer person1, Integer person2, Integer person3, Date evaluateDate, Integer disableLevelId, String polNo, String remark);

    Result<Object> allotTask(String taskId, String empId);

    List<TaskGroupVO> taskGroupList(String name, String certiCode, String tel);

    Result<Object> taskGroup(Integer pushId, Integer status, Short refuseReason, String refuseRemark);

    List<ChCfgSrvDisableLevel> cfgSrvDisableLevelList();

    List<PersonInfoVO> personInfoList(String reportId);

    List<TaskGroupInfoVO> taskGroupInfoList(String groupNumber);

    Result<Object> taskGroupByGroup(String groupNumber, Integer status, Short refuseReason, String refuseRemark);

    TaskGroupInfoListInfoVO taskGroupInfoListInfo(String pushId);

    List<AllotTaskHisVO> allotTaskHisList();

    Result<Object> updatePushTimeAndRemark(String pushId, Date timeDate, String remark);

    List<ChRefuseReason> refuseReasonList();
}
