#!/bin/bash

echo '开始构建智能营销平台项目'
export PATH=${PATH}:/usr/local/maven/bin
  buildDeploys=("common/common-core" "common/common-mybatis" "common/common-redis" "system/system-api")
  mvn clean #清空历史数据
  buildDeploy(){
    for ((i=0;i<${#buildDeploys[*]};i++))
    do
      nProject=${buildDeploys[i]}
      echo "开始处理${nProject}"
      cd "${WORKSPACE}"/"${nProject}"
      mvn deploy
    done
    echo "静态依赖处理完毕，准备开始构建服务。。。"
  }
buildDeploy
cd "${WORKSPACE}"
mvn install

kubectl delete deployment ltc-auth-service -n ltc-service
kubectl delete deployment ltc-gateway-service -n ltc-service
kubectl delete deployment ltc-system-admin-service -n ltc-service


docker images | grep -E "(ltc)" | awk '{print $3}' | uniq | xargs -I {} docker rmi --force {}
echo "服务构建完毕，开始打包docker镜像..."
docker login -u admin -p Hg123harbor localhost:9999
echo "==================auth镜像==================="
docker build -t localhost:9999/ltc/ltc-auth-service:latest -f auth-service/DOCKERFILE .
docker push localhost:9999/ltc/ltc-auth-service:latest
echo "==================gateway镜像==================="
docker build -t localhost:9999/ltc/ltc-gateway-service:latest -f gateway-service/DOCKERFILE .
docker push localhost:9999/ltc/ltc-gateway-service:latest
echo "==================system-admin-service镜像==================="
docker build -t localhost:9999/ltc/ltc-system-admin-service:latest -f system/system-admin-service/DOCKERFILE .
docker push localhost:9999/ltc/ltc-system-admin-service:latest
echo "docker镜像上传完毕,智能营销平台项目构建完毕"
echo "清理缓存。。。"
mvn clean
echo "开始部署k8s服务..."
echo "===========auth-service=============="
kubectl create -f ./auth-service/deployment.yaml
echo "===========gateway-service=============="
kubectl create -f ./gateway-service/deployment.yaml
echo "===========admin-service=============="
kubectl create -f ./system/system-admin-service/deployment.yaml


