package com.hungraim.ltc.constant;

/**
 * @author hubin
 */
public interface AuthConstants {
  /**
   * 认证请求头key
   */
  String AUTHORIZATION_KEY = "Authorization";

  /**
   * JWT令牌前缀
   */
  String JWT_PREFIX = "bearer ";


  /**
   * Basic认证前缀
   */
  String BASIC_PREFIX = "Basic ";

  /**
   * JWT载体key
   */
  String JWT_PAYLOAD_KEY = "payload";

  /**
   * Redis缓存权限规则key
   */
  String PERMISSION_ROLES_KEY = "ltc:auth:permission:roles";


  /**
   * 密码加密方式
   */
  String BCRYPT = "{bcrypt}";

  String JWT_USER_ID_KEY = "user_id";

  String CLIENT_ID_KEY = "client_id";

  /**
   * JWT存储权限前缀
   */
  String AUTHORITY_PREFIX = "ROLE_";

  /**
   * JWT存储权限属性
   */
  String JWT_AUTHORITIES_KEY = "authorities";
  /**
   * JWT存储权限属性
   */
  String RESOURCE_ROLE_KEY = "resource_role";
  /**
   * 后台管理服务路径
   */
  String ADMIN_URL_PATTERN = "*_/api.system/**";
}
