package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 失能人员申请历史
 */
@Data
@TableName("CH_DISABLE_APPLY_HIS")
@KeySequence(value = "SEQ_CH_DISABLE_APPLY_HIS")
public class ChDisableApplyHis implements Serializable {
    /**
     * 失能申请历史id
     */
    @TableId(value = "APPLY_HIS_ID", type = IdType.INPUT)
    private Long applyHisId;

    /**
     * 失能申请id
     */
    private Long applyId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certiCode;

    /**
     * 出生年月
     */
    private Date birthday;

    /**
     * 性别    男：M；女：F；不确定 N
     */
    private String gender;

    /**
     * 电话
     */
    private String tel;

    /**
     * 现住地址区域
     */
    private String adressDistrictCode;

    /**
     * 住址详情
     */
    private String adressDetail;

    /**
     * 户籍   本市：0；非本市：1
     */
    private Short regist;

    /**
     * 疾病
     */
    private String disease;

    /**
     * 服务方式
     */
    private Long srvModeId;

    /**
     * 疾病描述
     */
    private String diseaseDesc;

    /**
     * 医保类型    城镇：1；非城镇：0
     */
    private Short medicalType;

    /**
     * 社保卡号
     */
    private String medicalCard;

    /**
     * 意向护理机构
     */
    private Long srvOrganId;

    /**
     * 代办人姓名
     */
    private String operName;

    /**
     * 代办人身份证号
     */
    private String operCertiCode;

    /**
     * 代办人手机号
     */
    private String operTel;

    /**
     * 与失能人员关系    子女:0;父母:1配偶:2其他:3
     */
    private String operRelation;

    /**
     * 代办人住址区域
     */
    private String operDistrictCode;

    /**
     * 代办人住址详情
     */
    private String operAddress;

    /**
     * 鉴定标准配置id
     */
    private Long aprConfId;

    /**
     * 申请状态   未提交:0;待审核:1;审核通过:2;不通过：3;删除:4;撤销:5
     */
    private Short applyStatus;

    /**
     * 审核人
     */
    private String checkName;

    /**
     * 审核备注
     */
    private String checkRemark;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 创建人
     */
    private Long defineEmg;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmg;

    /**
     * 终止人终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 申请机构
     */
    private Long aplOrganId;

    /**
     * 现住地址省份
     */
    private String adressDistrictProvincial;

    /**
     * 现住地址城市
     */
    private String adressDistrictCity;

    /**
     * 代办人住址省份
     */
    private String operDistrictProvince;

    /**
     * 代办人住址城市
     */
    private String operDistrictCity;

    /**
     * 最新鉴定任务ID
     */
    private Long lastTaskId;

    /**
     * 数据来源 网厅：0，核心：1，微信：2
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 街道
     */
    private String street;

    /**
     * 鉴定分数总计
     */
    private Short aprTotalScore;

    /**
     * 接受评定省
     */
    private String acptProvincial;

    /**
     * 接受评定市
     */
    private String acptCity;

    /**
     * 接受评定区
     */
    private String acptArea;

    /**
     * 接受评定街道
     */
    private String acptStreet;

    /**
     * 接受评定详细地址
     */
    private String acptAddress;

    /**
     * 接受评定类型 现在址：0,机构地址：1,其他：2
     */
    private Short acptType;

    /**
     * 疾病大类
     */
    private Long diseTypeF;

    /**
     * 疾病小类
     */
    private Long diseTypeS;

    /**
     * 服务配置模式ID
     */
    private Long cfgModeId;

    /**
     * 复评原因
     */
    private String reasonsReview;

    /**
     * 复评备注
     */
    private String reasonsRemark;

    /**
     * 申请方式
     */
    private Short applyMethod;

    /**
     * 首次申请ID
     */
    private Long firstApplyId;

    /**
     * 现住址经度
     */
    private String addressLongitude;

    /**
     * 现住址纬度
     */
    private String addressLatitude;

    /**
     * 接受评定地址经度
     */
    private String acptLongitude;

    /**
     * 接受评定地址纬度
     */
    private String acptLatitude;

    /**
     * 代办人街道
     */
    private String operStreet;

    /**
     * 代办人地址经度
     */
    private String agentLongitude;

    /**
     * 代办人地址纬度
     */
    private String agentLatitude;

    /**
     * 现住地址路街
     */
    private String addressRoadDetail;

    /**
     * 现住地址路/街（0路，1街，2村）
     */
    private Short addressRoadType;

    /**
     * 现住地址号弄
     */
    private String addressNumberDetail;

    /**
     * 现住地址号/弄（0弄，1号）
     */
    private Short addressNumberType;

    /**
     * 接受评定地址路街
     */
    private String acptRoadDetail;

    /**
     * 接受评定地址路/街（0路，1街，2村）
     */
    private Short acptRoadType;

    /**
     * 接受评定地址号弄
     */
    private String acptNumberDetail;

    /**
     * 接受评定地址号/弄（0弄，1号）
     */
    private Short acptNumberType;

    /**
     * 代办人现住止路街
     */
    private String operRoadDetail;

    /**
     * 代办人现住止路/街（0路，1街，2村）
     */
    private Short operRoadType;

    /**
     * 代办人现住止号弄
     */
    private String operNumberDetail;

    /**
     * 代办人现住止号/弄（0弄，1号）
     */
    private Short operNumberType;

    /**
     * 接受服务地址省
     */
    private String acptSrvProvincial;

    /**
     * 接受服务地址市
     */
    private String acptSrvCity;

    /**
     * 接受服务地址区
     */
    private String acptSrvArea;

    /**
     * 接受服务地址街道
     */
    private String acptSrvStreet;

    /**
     * 接受服务地址路街
     */
    private String acptSrvRoadDetail;

    /**
     * 接受服务地址路/街（0路，1街，2村）
     */
    private Short acptSrvRoadType;

    /**
     * 接受服务地址号弄
     */
    private String acptSrvNumberDetail;

    /**
     * 接受服务地址号/弄（0弄，1号）
     */
    private Short acptSrvNumberType;

    /**
     * 接受服务地址详细地址
     */
    private String acptSrvAddress;

    /**
     * 接受服务地址类型（现在址：0,护理机构地址：1,其他：2）
     */
    private Short acptSrvType;

    /**
     * 接受服务地址经度
     */
    private String acptSrvLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptSrvLatitude;

    /**
     * 失能人员电话
     */
    private String fixedTel;

    /**
     * 所在户籍地址省
     */
    private String registProvincial;

    /**
     * 所在户籍地址市
     */
    private String registCity;

    /**
     * 所在户籍地址区
     */
    private String registArea;

    /**
     * 所在户籍地址街道
     */
    private String registStreet;

    /**
     * 所在户籍地址详细地址
     */
    private String registAddress;

    /**
     * 所在户籍地址经度
     */
    private String registLongitude;

    /**
     * 所在户籍地址纬度
     */
    private String registLatitude;

    /**
     * 病史简述1
     * 1. 曾患的重大疾病、外伤史、传染病史
     */
    private String medicalHistory1;

    /**
     * 病史简述2   2. 现有的疾病和病症
     */
    private String medicalHistory2;

    /**
     * 病史简述3   3. 目前正在治疗的疾病和病症
     */
    private String medicalHistory3;

    /**
     * 身高
     */
    private BigDecimal height;

    /**
     * 体重
     */
    private BigDecimal weight;

    /**
     * 左手握力
     */
    private BigDecimal leftHandGrip;

    /**
     * 右手握力
     */
    private BigDecimal rightHandGrip;

    /**
     * 肢体残缺  0有，1无
     */
    private Short bodyIncomplete;

    /**
     * 视力障碍   0有，1无
     */
    private Short visionObstacle;

    /**
     * 听力障碍   0有，1无
     */
    private Short hearingObstacle;

    /**
     * 病史简述
     */
    private String medicalHistory;

    /**
     * 历史操作时间
     */
    private Date hisTime;

    /**
     * 历史操作人
     */
    private Long hisEmp;

    /**
     * 代办人固话
     */
    private String operFixedTel;

    /**
     * 待遇类型(1失能、0失智)
     */
    private Short treatmentType;

    private static final long serialVersionUID = 1L;

    public Long getApplyHisId() {
        return applyHisId;
    }

    public void setApplyHisId(Long applyHisId) {
        this.applyHisId = applyHisId;
    }

    public Long getApplyId() {
        return applyId;
    }

    public void setApplyId(Long applyId) {
        this.applyId = applyId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getDistrictProvincial() {
        return districtProvincial;
    }

    public void setDistrictProvincial(String districtProvincial) {
        this.districtProvincial = districtProvincial;
    }

    public String getDistrictCity() {
        return districtCity;
    }

    public void setDistrictCity(String districtCity) {
        this.districtCity = districtCity;
    }

    public String getDistrictArea() {
        return districtArea;
    }

    public void setDistrictArea(String districtArea) {
        this.districtArea = districtArea;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getCertiCode() {
        return certiCode;
    }

    public void setCertiCode(String certiCode) {
        this.certiCode = certiCode;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getAdressDistrictCode() {
        return adressDistrictCode;
    }

    public void setAdressDistrictCode(String adressDistrictCode) {
        this.adressDistrictCode = adressDistrictCode;
    }

    public String getAdressDetail() {
        return adressDetail;
    }

    public void setAdressDetail(String adressDetail) {
        this.adressDetail = adressDetail;
    }

    public Short getRegist() {
        return regist;
    }

    public void setRegist(Short regist) {
        this.regist = regist;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public Long getSrvModeId() {
        return srvModeId;
    }

    public void setSrvModeId(Long srvModeId) {
        this.srvModeId = srvModeId;
    }

    public String getDiseaseDesc() {
        return diseaseDesc;
    }

    public void setDiseaseDesc(String diseaseDesc) {
        this.diseaseDesc = diseaseDesc;
    }

    public Short getMedicalType() {
        return medicalType;
    }

    public void setMedicalType(Short medicalType) {
        this.medicalType = medicalType;
    }

    public String getMedicalCard() {
        return medicalCard;
    }

    public void setMedicalCard(String medicalCard) {
        this.medicalCard = medicalCard;
    }

    public Long getSrvOrganId() {
        return srvOrganId;
    }

    public void setSrvOrganId(Long srvOrganId) {
        this.srvOrganId = srvOrganId;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getOperCertiCode() {
        return operCertiCode;
    }

    public void setOperCertiCode(String operCertiCode) {
        this.operCertiCode = operCertiCode;
    }

    public String getOperTel() {
        return operTel;
    }

    public void setOperTel(String operTel) {
        this.operTel = operTel;
    }

    public String getOperRelation() {
        return operRelation;
    }

    public void setOperRelation(String operRelation) {
        this.operRelation = operRelation;
    }

    public String getOperDistrictCode() {
        return operDistrictCode;
    }

    public void setOperDistrictCode(String operDistrictCode) {
        this.operDistrictCode = operDistrictCode;
    }

    public String getOperAddress() {
        return operAddress;
    }

    public void setOperAddress(String operAddress) {
        this.operAddress = operAddress;
    }

    public Long getAprConfId() {
        return aprConfId;
    }

    public void setAprConfId(Long aprConfId) {
        this.aprConfId = aprConfId;
    }

    public Short getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(Short applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public String getCheckRemark() {
        return checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public Long getDefineEmg() {
        return defineEmg;
    }

    public void setDefineEmg(Long defineEmg) {
        this.defineEmg = defineEmg;
    }

    public Date getEffTime() {
        return effTime;
    }

    public void setEffTime(Date effTime) {
        this.effTime = effTime;
    }

    public Long getEndEmg() {
        return endEmg;
    }

    public void setEndEmg(Long endEmg) {
        this.endEmg = endEmg;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getFcd() {
        return fcd;
    }

    public void setFcd(Date fcd) {
        this.fcd = fcd;
    }

    public Long getFcu() {
        return fcu;
    }

    public void setFcu(Long fcu) {
        this.fcu = fcu;
    }

    public Date getLcd() {
        return lcd;
    }

    public void setLcd(Date lcd) {
        this.lcd = lcd;
    }

    public Long getLcu() {
        return lcu;
    }

    public void setLcu(Long lcu) {
        this.lcu = lcu;
    }

    public Long getAplOrganId() {
        return aplOrganId;
    }

    public void setAplOrganId(Long aplOrganId) {
        this.aplOrganId = aplOrganId;
    }

    public String getAdressDistrictProvincial() {
        return adressDistrictProvincial;
    }

    public void setAdressDistrictProvincial(String adressDistrictProvincial) {
        this.adressDistrictProvincial = adressDistrictProvincial;
    }

    public String getAdressDistrictCity() {
        return adressDistrictCity;
    }

    public void setAdressDistrictCity(String adressDistrictCity) {
        this.adressDistrictCity = adressDistrictCity;
    }

    public String getOperDistrictProvince() {
        return operDistrictProvince;
    }

    public void setOperDistrictProvince(String operDistrictProvince) {
        this.operDistrictProvince = operDistrictProvince;
    }

    public String getOperDistrictCity() {
        return operDistrictCity;
    }

    public void setOperDistrictCity(String operDistrictCity) {
        this.operDistrictCity = operDistrictCity;
    }

    public Long getLastTaskId() {
        return lastTaskId;
    }

    public void setLastTaskId(Long lastTaskId) {
        this.lastTaskId = lastTaskId;
    }

    public Short getDataFrom() {
        return dataFrom;
    }

    public void setDataFrom(Short dataFrom) {
        this.dataFrom = dataFrom;
    }

    public Long getWebDefineEmp() {
        return webDefineEmp;
    }

    public void setWebDefineEmp(Long webDefineEmp) {
        this.webDefineEmp = webDefineEmp;
    }

    public Long getWebEndEmp() {
        return webEndEmp;
    }

    public void setWebEndEmp(Long webEndEmp) {
        this.webEndEmp = webEndEmp;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public Short getAprTotalScore() {
        return aprTotalScore;
    }

    public void setAprTotalScore(Short aprTotalScore) {
        this.aprTotalScore = aprTotalScore;
    }

    public String getAcptProvincial() {
        return acptProvincial;
    }

    public void setAcptProvincial(String acptProvincial) {
        this.acptProvincial = acptProvincial;
    }

    public String getAcptCity() {
        return acptCity;
    }

    public void setAcptCity(String acptCity) {
        this.acptCity = acptCity;
    }

    public String getAcptArea() {
        return acptArea;
    }

    public void setAcptArea(String acptArea) {
        this.acptArea = acptArea;
    }

    public String getAcptStreet() {
        return acptStreet;
    }

    public void setAcptStreet(String acptStreet) {
        this.acptStreet = acptStreet;
    }

    public String getAcptAddress() {
        return acptAddress;
    }

    public void setAcptAddress(String acptAddress) {
        this.acptAddress = acptAddress;
    }

    public Short getAcptType() {
        return acptType;
    }

    public void setAcptType(Short acptType) {
        this.acptType = acptType;
    }

    public Long getDiseTypeF() {
        return diseTypeF;
    }

    public void setDiseTypeF(Long diseTypeF) {
        this.diseTypeF = diseTypeF;
    }

    public Long getDiseTypeS() {
        return diseTypeS;
    }

    public void setDiseTypeS(Long diseTypeS) {
        this.diseTypeS = diseTypeS;
    }

    public Long getCfgModeId() {
        return cfgModeId;
    }

    public void setCfgModeId(Long cfgModeId) {
        this.cfgModeId = cfgModeId;
    }

    public String getReasonsReview() {
        return reasonsReview;
    }

    public void setReasonsReview(String reasonsReview) {
        this.reasonsReview = reasonsReview;
    }

    public String getReasonsRemark() {
        return reasonsRemark;
    }

    public void setReasonsRemark(String reasonsRemark) {
        this.reasonsRemark = reasonsRemark;
    }

    public Short getApplyMethod() {
        return applyMethod;
    }

    public void setApplyMethod(Short applyMethod) {
        this.applyMethod = applyMethod;
    }

    public Long getFirstApplyId() {
        return firstApplyId;
    }

    public void setFirstApplyId(Long firstApplyId) {
        this.firstApplyId = firstApplyId;
    }

    public String getAddressLongitude() {
        return addressLongitude;
    }

    public void setAddressLongitude(String addressLongitude) {
        this.addressLongitude = addressLongitude;
    }

    public String getAddressLatitude() {
        return addressLatitude;
    }

    public void setAddressLatitude(String addressLatitude) {
        this.addressLatitude = addressLatitude;
    }

    public String getAcptLongitude() {
        return acptLongitude;
    }

    public void setAcptLongitude(String acptLongitude) {
        this.acptLongitude = acptLongitude;
    }

    public String getAcptLatitude() {
        return acptLatitude;
    }

    public void setAcptLatitude(String acptLatitude) {
        this.acptLatitude = acptLatitude;
    }

    public String getOperStreet() {
        return operStreet;
    }

    public void setOperStreet(String operStreet) {
        this.operStreet = operStreet;
    }

    public String getAgentLongitude() {
        return agentLongitude;
    }

    public void setAgentLongitude(String agentLongitude) {
        this.agentLongitude = agentLongitude;
    }

    public String getAgentLatitude() {
        return agentLatitude;
    }

    public void setAgentLatitude(String agentLatitude) {
        this.agentLatitude = agentLatitude;
    }

    public String getAddressRoadDetail() {
        return addressRoadDetail;
    }

    public void setAddressRoadDetail(String addressRoadDetail) {
        this.addressRoadDetail = addressRoadDetail;
    }

    public Short getAddressRoadType() {
        return addressRoadType;
    }

    public void setAddressRoadType(Short addressRoadType) {
        this.addressRoadType = addressRoadType;
    }

    public String getAddressNumberDetail() {
        return addressNumberDetail;
    }

    public void setAddressNumberDetail(String addressNumberDetail) {
        this.addressNumberDetail = addressNumberDetail;
    }

    public Short getAddressNumberType() {
        return addressNumberType;
    }

    public void setAddressNumberType(Short addressNumberType) {
        this.addressNumberType = addressNumberType;
    }

    public String getAcptRoadDetail() {
        return acptRoadDetail;
    }

    public void setAcptRoadDetail(String acptRoadDetail) {
        this.acptRoadDetail = acptRoadDetail;
    }

    public Short getAcptRoadType() {
        return acptRoadType;
    }

    public void setAcptRoadType(Short acptRoadType) {
        this.acptRoadType = acptRoadType;
    }

    public String getAcptNumberDetail() {
        return acptNumberDetail;
    }

    public void setAcptNumberDetail(String acptNumberDetail) {
        this.acptNumberDetail = acptNumberDetail;
    }

    public Short getAcptNumberType() {
        return acptNumberType;
    }

    public void setAcptNumberType(Short acptNumberType) {
        this.acptNumberType = acptNumberType;
    }

    public String getOperRoadDetail() {
        return operRoadDetail;
    }

    public void setOperRoadDetail(String operRoadDetail) {
        this.operRoadDetail = operRoadDetail;
    }

    public Short getOperRoadType() {
        return operRoadType;
    }

    public void setOperRoadType(Short operRoadType) {
        this.operRoadType = operRoadType;
    }

    public String getOperNumberDetail() {
        return operNumberDetail;
    }

    public void setOperNumberDetail(String operNumberDetail) {
        this.operNumberDetail = operNumberDetail;
    }

    public Short getOperNumberType() {
        return operNumberType;
    }

    public void setOperNumberType(Short operNumberType) {
        this.operNumberType = operNumberType;
    }

    public String getAcptSrvProvincial() {
        return acptSrvProvincial;
    }

    public void setAcptSrvProvincial(String acptSrvProvincial) {
        this.acptSrvProvincial = acptSrvProvincial;
    }

    public String getAcptSrvCity() {
        return acptSrvCity;
    }

    public void setAcptSrvCity(String acptSrvCity) {
        this.acptSrvCity = acptSrvCity;
    }

    public String getAcptSrvArea() {
        return acptSrvArea;
    }

    public void setAcptSrvArea(String acptSrvArea) {
        this.acptSrvArea = acptSrvArea;
    }

    public String getAcptSrvStreet() {
        return acptSrvStreet;
    }

    public void setAcptSrvStreet(String acptSrvStreet) {
        this.acptSrvStreet = acptSrvStreet;
    }

    public String getAcptSrvRoadDetail() {
        return acptSrvRoadDetail;
    }

    public void setAcptSrvRoadDetail(String acptSrvRoadDetail) {
        this.acptSrvRoadDetail = acptSrvRoadDetail;
    }

    public Short getAcptSrvRoadType() {
        return acptSrvRoadType;
    }

    public void setAcptSrvRoadType(Short acptSrvRoadType) {
        this.acptSrvRoadType = acptSrvRoadType;
    }

    public String getAcptSrvNumberDetail() {
        return acptSrvNumberDetail;
    }

    public void setAcptSrvNumberDetail(String acptSrvNumberDetail) {
        this.acptSrvNumberDetail = acptSrvNumberDetail;
    }

    public Short getAcptSrvNumberType() {
        return acptSrvNumberType;
    }

    public void setAcptSrvNumberType(Short acptSrvNumberType) {
        this.acptSrvNumberType = acptSrvNumberType;
    }

    public String getAcptSrvAddress() {
        return acptSrvAddress;
    }

    public void setAcptSrvAddress(String acptSrvAddress) {
        this.acptSrvAddress = acptSrvAddress;
    }

    public Short getAcptSrvType() {
        return acptSrvType;
    }

    public void setAcptSrvType(Short acptSrvType) {
        this.acptSrvType = acptSrvType;
    }

    public String getAcptSrvLongitude() {
        return acptSrvLongitude;
    }

    public void setAcptSrvLongitude(String acptSrvLongitude) {
        this.acptSrvLongitude = acptSrvLongitude;
    }

    public String getAcptSrvLatitude() {
        return acptSrvLatitude;
    }

    public void setAcptSrvLatitude(String acptSrvLatitude) {
        this.acptSrvLatitude = acptSrvLatitude;
    }

    public String getFixedTel() {
        return fixedTel;
    }

    public void setFixedTel(String fixedTel) {
        this.fixedTel = fixedTel;
    }

    public String getRegistProvincial() {
        return registProvincial;
    }

    public void setRegistProvincial(String registProvincial) {
        this.registProvincial = registProvincial;
    }

    public String getRegistCity() {
        return registCity;
    }

    public void setRegistCity(String registCity) {
        this.registCity = registCity;
    }

    public String getRegistArea() {
        return registArea;
    }

    public void setRegistArea(String registArea) {
        this.registArea = registArea;
    }

    public String getRegistStreet() {
        return registStreet;
    }

    public void setRegistStreet(String registStreet) {
        this.registStreet = registStreet;
    }

    public String getRegistAddress() {
        return registAddress;
    }

    public void setRegistAddress(String registAddress) {
        this.registAddress = registAddress;
    }

    public String getRegistLongitude() {
        return registLongitude;
    }

    public void setRegistLongitude(String registLongitude) {
        this.registLongitude = registLongitude;
    }

    public String getRegistLatitude() {
        return registLatitude;
    }

    public void setRegistLatitude(String registLatitude) {
        this.registLatitude = registLatitude;
    }

    public String getMedicalHistory1() {
        return medicalHistory1;
    }

    public void setMedicalHistory1(String medicalHistory1) {
        this.medicalHistory1 = medicalHistory1;
    }

    public String getMedicalHistory2() {
        return medicalHistory2;
    }

    public void setMedicalHistory2(String medicalHistory2) {
        this.medicalHistory2 = medicalHistory2;
    }

    public String getMedicalHistory3() {
        return medicalHistory3;
    }

    public void setMedicalHistory3(String medicalHistory3) {
        this.medicalHistory3 = medicalHistory3;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public BigDecimal getLeftHandGrip() {
        return leftHandGrip;
    }

    public void setLeftHandGrip(BigDecimal leftHandGrip) {
        this.leftHandGrip = leftHandGrip;
    }

    public BigDecimal getRightHandGrip() {
        return rightHandGrip;
    }

    public void setRightHandGrip(BigDecimal rightHandGrip) {
        this.rightHandGrip = rightHandGrip;
    }

    public Short getBodyIncomplete() {
        return bodyIncomplete;
    }

    public void setBodyIncomplete(Short bodyIncomplete) {
        this.bodyIncomplete = bodyIncomplete;
    }

    public Short getVisionObstacle() {
        return visionObstacle;
    }

    public void setVisionObstacle(Short visionObstacle) {
        this.visionObstacle = visionObstacle;
    }

    public Short getHearingObstacle() {
        return hearingObstacle;
    }

    public void setHearingObstacle(Short hearingObstacle) {
        this.hearingObstacle = hearingObstacle;
    }

    public String getMedicalHistory() {
        return medicalHistory;
    }

    public void setMedicalHistory(String medicalHistory) {
        this.medicalHistory = medicalHistory;
    }

    public Date getHisTime() {
        return hisTime;
    }

    public void setHisTime(Date hisTime) {
        this.hisTime = hisTime;
    }

    public Long getHisEmp() {
        return hisEmp;
    }

    public void setHisEmp(Long hisEmp) {
        this.hisEmp = hisEmp;
    }

    public String getOperFixedTel() {
        return operFixedTel;
    }

    public void setOperFixedTel(String operFixedTel) {
        this.operFixedTel = operFixedTel;
    }

    public Short getTreatmentType() {
        return treatmentType;
    }

    public void setTreatmentType(Short treatmentType) {
        this.treatmentType = treatmentType;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}
