package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 失能人员待遇
 */
@Data
@TableName("CH_DISABLE_TREATMENT")
public class ChDisableTreatment {
    /**
     * 待遇历史ID
     */
    private BigDecimal treatmentId;

    /**
     * 失能人员ID
     */
    private BigDecimal disableInfoId;

    /**
     * 申请ID
     */
    private BigDecimal disableApplyId;

    /**
     * 待遇状态(0：住院中:1：身故、2：待遇享受中、3：放弃享受)
     */
    private Integer treatmentStatus;

    /**
     * 入院时间
     */
    private Date beHospitalTime;

    /**
     * 出院时间
     */
    private Date leaveHospitalTime;

    /**
     * 死亡时间
     */
    private Date dieTime;

    /**
     * 待遇选择备注
     */
    private String treatmentChooseRemark;

    /**
     * 0:当前,1历史
     */
    private Integer status;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
