package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_SRV_ORGAN_PROJECT
 * @author 
 */
@Data
@TableName("CH_SRV_ORGAN_PROJECT")
@KeySequence("SEQ_CH_SRV_ORGAN_PROJECT")
public class ChSrvOrganProject implements Serializable {
    /**
     * 服务项目id
     */
    @TableId(type = IdType.INPUT)
    private Long projectId;

    /**
     * 护理机构ID
     */
    private Long srvOrganId;

    /**
     * 项目类别（3其它）
     */
    private Short projectCategory;

    /**
     * 服务项目名称
     */
    private String itemName;

    /**
     * 服务内容
     */
    private String serviceContent;

    /**
     * 类服务包类型(1基础护理、2日常照护项目、3其它、4巡诊)
     */
    private Short categoryType;

    /**
     * 频次
     */
    private Long itemTimes;

    /**
     * 频次类型(1:次/每月，2:必要时）
     */
    private Short itemTimesType;

    /**
     * 单价
     */
    private BigDecimal itemPrice;

    /**
     * 是否必需项(是：1；否：0)
     */
    private Short isConf;

    /**
     * 状态（0有效，1无效）
     */
    private Short status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 单价类型（1：元/次，2：元/天）
     */
    private Short itemPriceType;

    private static final long serialVersionUID = 1L;
}