package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("CH_SRV_PROGRAM")
@KeySequence("CH_SRV_PROGRAM_SQE")
public class ChSrvProgram {
    /**
     * 服务方案ID
     */
    @TableId(type = IdType.INPUT)
    private Long programId;

    /**
     * 服务方案配置ID
     */
    private Long itemCfgId;

    /**
     * 服务机构ID
     */
    private Long srvOrganId;

    /**
     * 服务方式ID
     */
    private Long srvModeId;

    /**
     * 失能人员ID
     */
    private Long disabInfoId;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 服务方案状态  0：未生效、1：已生效、2：已终止
     */
    private Integer progStatus;

    /**
     * 结束原因
     */
    private String endReason;

    /**
     * 方案生效时间
     */
    private Date programDate;

    /**
     * 方案终止时间
     */
    private Date programEdnDate;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 数据来源  网厅：0，核心：1
     */
    private Long dataFrom;

    /**
     * 当前待遇起始日期
     */
    private Date treatmentStartTime;

    /**
     * 当前待遇截止日期
     */
    private Date treatmentEndTime;

    /**
     * 服务包名称
     */
    private String srvPackName;

    /**
     * 服务包周期
     */
    private String srvPackFreq;

    /**
     * 服务包频次
     */
    private String srvPackTimes;

    /**
     * 服务包单价
     */
    private BigDecimal srvPackPrice;

    /**
     * 计费方式(0,项目收费、1,时长收费,2，两者并存)
     */
    private Long chargeType;

    /**
     * 建床ID
     */
    private Long buildBedId;

}
