package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * CH_SRV_SEND
 * @author 
 */
@TableName("CH_SRV_SEND")
@Data
//@KeySequence("CH_SRV_SEND_SQE")
public class ChSrvSend implements Serializable {

    /**
     * 服务分配ID
     */
    @TableId(type = IdType.INPUT)
    private Long srvSendId;

    /**
     * 服务机构ID
     */
    private Long srvOrganId;

    /**
     * 服务方式ID
     */
    private Long srvModeId;

    /**
     * 失能人员ID
     */
    private Long disabInfoId;

    /**
     * 分配时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date allotTime;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 服务分配状态 未分配 0 已分配 1 已终止 2
     */
    private Short status;

    /**
     * 服务分配终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date stopTime;

    /**
     * 接受服务省
     */
    private String acptProvincial;

    /**
     * 接受服务市
     */
    private String acptCity;

    /**
     * 接受服务区
     */
    private String acptArea;

    /**
     * 接受服务街道
     */
    private String acptStreet;

    /**
     * 接受服务详细地址
     */
    private String acptAddress;

    /**
     * 接受服务类型 现在址：0,机构地址：1,其他：2
     */
    private Short acptType;

    /**
     * 服务配置模式ID
     */
    private Long cfgModeId;

    /**
     * 接受鉴定路街
     */
    private String acptRoadDetail;

    /**
     * 接受鉴定路/街 （0路，1街，2村）
     */
    private Short acptRoadType;

    /**
     * 接受鉴定号弄
     */
    private String acptNumberDetail;

    /**
     * 接受鉴定号/弄 （0弄，1号）
     */
    private Short acptNumberType;

    /**
     * 接受服务地址经度
     */
    private String acptLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptLatitude;

    private static final long serialVersionUID = 1L;
}