package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_SRV_TASK_FINISH_ITEM
 * @author 
 */
@Data
@TableName("CH_SRV_TASK_FINISH_ITEM")
@KeySequence("SEQ_CH_SRV_TASK_FINISH_ITEM")
public class ChSrvTaskFinishItem implements Serializable {
    /**
     * 任务完成ID
     */
    @TableId(type = IdType.INPUT)
    private Long taskFinishItemId;

    /**
     * 任务详情ID
     */
    private Long taskDetailId;

    /**
     * 服务项目ID
     */
    private Long itemId;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作人
     */
    private Date fcd;

    /**
     * 首次操作时间
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 备注
     */
    private String remark;

    /**
     * 数据来源  网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 子任务类型(0:项目 1:时长)
     */
    private Short childItemType;

    /**
     * 服务项目名称
     */
    private String itemName;

    /**
     * 单价（元）
     */
    private BigDecimal itemPrice;

    /**
     * 类别(1基础护理、2日常照护项目、3其它)
     */
    private Short categoryType;

    /**
     * 频次
     */
    private Long itemTimes;

    /**
     * 频次类型(1:次/每月，2:必要时）
     */
    private Short itemTimesType;

    private static final long serialVersionUID = 1L;
}