package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 评定任务分组管理列表详情
 */
@Data
public class TaskGroupInfoVO {
    /**
     * 分组任务id
     */
    private String taskPushId;
    /**
     * 预约时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date time;
    /**
     * 分组日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date assignTime;
    /**
     * 组号
     */
    private String groupNumber;
    /**
     * 机构代码
     */
    private String aprOrganId;
    /**
     * 适用机构
     */
    private String organName;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districPity;
    private String districtArea;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 失能人员性别
     */
    private String gender;
    /**
     * 失能人员(出生日期)年龄
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 失能人员身份证号码
     */
    private String certiCode;
    /**
     * 计划到达时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date plannedArrivalTime;
    /**
     * 计划离开时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date plannedDepartureTime;
    /**
     * 距离前站(公里数)
     */
    private String distanceStationKilometers;
    /**
     * 距离前站行驶时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date distanceStationTravelTime;
    /**
     * 车次总距离
     */
    private String totalDistance;
    /**
     * 总时长
     */
    private String lengthOfTime;
    /**
     * 评定组长姓名
     */
    private String empRealName;
    /**
     * 评定组长身份证号码
     */
    private String empCertiCode;
    /**
     * 状态
     */
    private String status;
    /**
     * 拒绝原因
     */
    private String refuseReason;
    /**
     * 备注
     */
    private String remark;
}
