package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 列表页回显对象
 */
@Data
public class ProgramListVo {

    /**
     * 服务分配ID
     */
    private Long programId;

    /**
     * 服务机构id
     */
    private Long srvOrganId;

    /**
     * 失能人员id
     */
    private Long disabInfoId;

    /**
     * 机构所在省
     */
    private String districtProvincial;

    /**
     * 机构所在市
     */
    private String districtCity;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员手机号
     */
    private String realTel;

    /**
     * 失能人员生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /**
     * 失能人员性别
     */
    private String gender;

    /**
     * 接收服务省市区
     */
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;

    /**
     * 失能等级
     */
    private String realLevel;

    /**
     * 评定完成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assessDate;

    /**
     * 服务方式
     */
    private String svrModelName;

    /**
     * 护理机构名称
     */
    private String svrOrganName;

    /**
     * 服务方案状态  0：未生效、1：已生效、2：已终止
     */
    private Integer progStatus;

    /**
     * 创建时间(服务方案制定时间)
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date effTime;


}
