package com.hungraim.ltc.governance.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.governance.service.NursingServiceItemsService;
import com.hungraim.ltc.pojo.vo.governance.NursingServiceItemsVO;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 护理服务项目Controller
 *
 * @author czz
 */
@RestController
@RequestMapping("/api.governance/nursing")
@Slf4j
public class NursingServiceItemsController {

    @Autowired
    private NursingServiceItemsService nursingServiceItemsService;

    /**
     * 服务参数详细配置
     *
     * @param disableLevelName       失能等级定义列表 失能等级
     * @param disableLevelStartValue 失能等级定义列表 值1
     * @param disableLevelEndValue   失能等级定义列表 值2
     * @param disableLevelRemark     失能等级定义列表 备注
     *                               -----------
     * @param modeName               服务方式定义列表 服务方式
     * @param modeRemark             服务方式定义列表 备注
     *                               -----------
     * @param itemId                 服务项目定义列表 序号
     * @param showNumber             服务项目定义列表 展示序号
     * @param itemName               服务项目定义列表 服务项目
     * @param cateId                 服务项目定义列表 服务项目分类
     * @param srvLevelId             服务项目定义列表 服务等级
     * @param chooseFlag             服务项目定义列表 是否必选
     * @param payType                服务项目定义列表 付款类型 1,基金支付0自费费用
     * @param itemRemark             服务项目定义列表 备注
     */
    @RequestMapping("/serviceConfigInfo")
    public Result<Object> serviceConfigInfo(String[] disableLevelName, String[] disableLevelStartValue, String[] disableLevelEndValue, String[] disableLevelRemark,
                                            String[] modeName, String[] modeRemark,
                                            String[] itemId, String[] showNumber, String[] itemName, String[] cateId, String[] srvLevelId, String[] chooseFlag, String[] payType, String[] itemRemark) {
//        nursingServiceItemsService.serviceConfigInfo(page, organIds, aprName, status);
        return Result.success();
    }

    /**
     * 护理服务项目列表
     *
     * @param organIds 机构id
     * @param name     护理服务项目名称
     * @param status   状态
     */
    @RequestMapping("/nursingServiceItemsList")
    public Result<Page<NursingServiceItemsVO>> nursingServiceItemsList(@RequestParam(defaultValue = "1") Integer pageNum, @RequestParam(defaultValue = "10") Integer pageSize,
                                                                       String organIds, String name, String status) {
        Page<NursingServiceItemsVO> page = new Page<>(pageNum, pageSize);
        page = nursingServiceItemsService.nursingServiceItemsList(page, organIds, name, status);
        return Result.success(page);
    }


}
