package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateInfoVO;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateVO;
import com.hungraim.ltc.pojo.vo.disable.DisableVO;
import com.hungraim.ltc.pojo.entity.disable.ChDisableEvaluate;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 失能人员申请历史Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableEvaluateMapper extends BaseMapper<ChDisableEvaluate> {
    /**
     * 查询失能评定列表
     *
     * @param organId    适用机构代码
     * @param srvOrganId 护理机构
     * @param realName   失能人员姓名
     * @param certiCode  失能人员身份证号码
     */
    Page<DisableEvaluateVO> disableEvaluateList(Page<DisableVO> page, String organId, Long srvOrganId, String realName, String certiCode);


    DisableEvaluateInfoVO selectDisableEvaluateInfoByEvaluateId(String evaluateId);

}
