package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.assessment.ChAprTask;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchRsp;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoTaskVO;
import com.hungraim.ltc.pojo.vo.governance.SrvSendVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author jiaguokai
 * ChSrvBuildBed
 */
@Mapper
@Repository
public interface SrvSendMapper extends BaseMapper<ChSrvSend> {

    Page<BuildBedSearchRsp> searchOrgBed(Page<BuildBedSearchRsp> page, @Param("req") BuildBedSearchReq req);


    Page<SrvSendVO> selectSendList(Page<SrvSendVO> page, @Param("disableInfo") ChDisableInfo disableInfo, @Param("chSrvOrgan") ChSrvOrgan chSrvOrgan, @Param("chSrvSend") ChSrvSend chSrvSend);

    @Select("select permit_id from ch_srv_organ where srv_organ_id=#{organId} ")
    String selectByOrganId(Integer organId);

    @Select(" select s.real_name," +
            "        s.birthday," +
            "        s.medical_card," +
            "        s.srv_mode_id," +
            "        o.evaluate_rating," +
            "        s.srv_organ_intent," +
            "        s.gender," +
            "        s.certi_code," +
            "        s.disease," +
            "        i.finish_time," +
            "        i.re_apr_time" +
            "   from ch_disable_info s" +
            "   left join ch_apr_task i" +
            "     on s.last_task_id = i.task_id" +
            "   left join ch_apr_report o" +
            "     on i.task_id = o.task_id  " +
            "   where s.disab_info_id=#{disableInfoId}")
    DisableInfoTaskVO selectBydisableInfoId(Integer disableInfoId);

    @Select("select s.real_name," +
            "       s.certi_code," +
            "       s.tel," +
            "       s.disease," +
            "       i.finish_time," +
            "       i.re_apr_time," +
            "       i.task_status" +
            "       from ch_apr_task i" +
            "       left join ch_disable_info s " +
            "       on s.disab_info_id = i.disable_info_id" +
            "       where i.disable_info_id=#{disableInfoId}")
    List<DisableInfoTaskVO> selectTaskByDisableInfoId(Integer disableInfoId);
    @Select("SELECT max(srv_send_id) id from CH_SRV_SEND")
    Long selectMaxId();
}
