package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateInfoVO;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateVO;
import com.hungraim.ltc.pojo.entity.disable.ChDisableEvaluate;
import org.springframework.stereotype.Service;

/**
 * 失能申请Service
 *
 * @author czz
 */
@Service
public interface DisableEvaluateService {

    /**
     * 失能评定列表
     *
     * @param organId    适用机构代码
     * @param srvOrganId 护理机构
     * @param realName   失能人员姓名
     * @param certiCode  失能人员身份证号码
     * @param pageNum    当前页
     * @param pageSize   每页几条数据
     * @return
     */
    IPage<DisableEvaluateVO> disableEvaluateList(String organId, Long srvOrganId, String realName, String certiCode, int pageNum, int pageSize);

    /**
     * 失能评定详情
     *
     * @param evaluateId 评定id
     * @return 失能评定详情
     */
    DisableEvaluateInfoVO disableEvaluateInfo(String evaluateId);

    void addEvaluate(ChDisableEvaluate disableEvaluate);

    void disableEvaluate(String applyId, String checkName, Short applyStatus, String checkRemark);
}
