package com.hungraim.ltc.governance.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.CrvMapper;
import com.hungraim.ltc.governance.service.CrvService;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Service
public class CrvServiceImpl extends ServiceImpl<CrvMapper, ChSrvOrgan> implements CrvService {

    @Resource
    private CrvMapper crvMapper;

    @Override
    public Page<ChSrvOrgan> seletPage(Page<ChSrvOrgan> chSrvOrganPage, QueryWrapper<ChSrvOrgan> queryWrapper) {
        return crvMapper.selectPage(chSrvOrganPage,queryWrapper);
    }

    @Override
    public ChSrvOrgan selectById(long applyId) {

        return crvMapper.selectById(applyId);
    }

    @Override
    public IPage<ChSrvOrgan> seletSrvOrganPage(ChSrvOrgan chSrvOrgan) {

        Integer current = chSrvOrgan.getCurrent();
        Integer limit = chSrvOrgan.getLimit();
        if (current == null || current < 1) {
            current =1;
        }
        if (limit == null || limit < 1) {
            limit =1 ;
        }
        // 创建一个page对象
        Page<ChSrvOrgan> chSrvOrganPage = new Page<ChSrvOrgan>(current,limit);
        // 构建条件
        QueryWrapper<ChSrvOrgan> queryWrapper = new QueryWrapper<>();
        // 多条件组合查询
        // 机构id
        String srvid = chSrvOrgan.getOrganId();
        // 机构名称
        String srvOrganName = chSrvOrgan.getSrvOrganName();
        // 社会信用代码
        String code = chSrvOrgan.getUnifiedSocialCreditCode();
        if (!StrUtil.isEmpty(srvid)) {
            queryWrapper.like("organ_id", srvid);
        }
        if (!StrUtil.isEmpty(srvOrganName)) {
            queryWrapper.like("srv_Organ_Name", srvOrganName);
        }
        if (!StrUtil.isEmpty(code)) {
            queryWrapper.like("unified_social_credit_code", code);
        }
        return crvMapper.selectPage(chSrvOrganPage,queryWrapper);
    }


}
