package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.SrvSendMapper;
import com.hungraim.ltc.governance.service.SrvSendService;
import com.hungraim.ltc.pojo.entity.assessment.ChAprTask;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoTaskVO;
import com.hungraim.ltc.pojo.vo.governance.SrvSendVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class SrvSendServiceImpl extends ServiceImpl<SrvSendMapper, ChSrvSend> implements SrvSendService {

    @Autowired
    private SrvSendMapper sendMapper;

    @Override
    public IPage<SrvSendVO> selectPage(ChDisableInfo disableInfo, ChSrvOrgan chSrvOrgan, ChSrvSend chSrvSend) {

        Integer current = disableInfo.getCurrent();
        Integer limit = disableInfo.getLimit();
        if (current == null || current < 1) {
            current = 1;
        }
        if (limit == null || limit < 1) {
            limit = 1;
        }
        Page<SrvSendVO> page = new Page<>(current, limit);
        return sendMapper.selectSendList(page, disableInfo, chSrvOrgan, chSrvSend);

    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public DisableInfoTaskVO selectTaskById(Integer disableInfoId, Integer srvOrganId) {
        DisableInfoTaskVO disableInfoTaskVO = sendMapper.selectBydisableInfoId(disableInfoId);
        String s = sendMapper.selectByOrganId(srvOrganId);
        disableInfoTaskVO.setPermitId(s);
        return disableInfoTaskVO;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public List<DisableInfoTaskVO> selectBydisableInfoId(Integer disableInfoId) {
        return sendMapper.selectTaskByDisableInfoId(disableInfoId);
    }

    @Override
    public Long selectMaxId() {
        return this.baseMapper.selectMaxId();
    }


}
