package com.hungraim.ltc.component;

import com.hungraim.ltc.system.service.impl.SystemResourceServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;


/**
 *
 * 服务运行时将资源和角色对应关系缓存到redis
 * @author hubin
 */
@Component
@Slf4j
public class InitResourceRoleCacheRunner implements CommandLineRunner {

  private final SystemResourceServiceImpl resourceService;

  @Autowired
  public InitResourceRoleCacheRunner(SystemResourceServiceImpl resourceService) {
    this.resourceService = resourceService;
  }

  @Override
  public void run(String... args) {
    resourceService.refreshPermissionRolesCache();
  }
}
